Incomplete GENDER support for notification-mention and related messages
Closed, ResolvedPublic

Description

The name of the recipient should be available for the following messages to translate them to French:
notification-mention
notification-header-mention
notification-mention-nosection
notification-header-mention-nosection
notification-mention-email-subject
notification-mention-email-batch-body

For instance, someone tried to set notification-header-mention to:
"{{GENDER:$2|$1}} vous a mentionné{{GENDER:||e|(e)}} sur la page de discussion de $3 en « $4 »."
but {{GENDER:}} is not supported (it always returns the neutral version).

Orlodrim created this task.Nov 22 2015, 9:22 AM
Orlodrim updated the task description. (Show Details)
Orlodrim raised the priority of this task from to Needs Triage.
Orlodrim added a project: Notifications.
Orlodrim added a subscriber: Orlodrim.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 22 2015, 9:22 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Ltrlg added a subscriber: Ltrlg.Nov 22 2015, 9:45 AM
SBisson triaged this task as Normal priority.Dec 4 2015, 7:55 PM
SBisson claimed this task.

Change 257006 had a related patch set uploaded (by Sbisson):
Add gender support for the viewing user for mention notification

https://gerrit.wikimedia.org/r/257006

Change 257006 merged by jenkins-bot:
Add gender support for the viewing user for mention notification

https://gerrit.wikimedia.org/r/257006

matej_suchanek added a subscriber: matej_suchanek.EditedDec 5 2015, 4:27 PM

@SBisson en.json now contains unbalanced "}" (6 times):

[[User:$1|$1]] {{GENDER:$1|mentioned}} {{GENDER:$6|you}}} on the $5 talk page in "[[:$3#$2|$4]]".
                                                        ^

@SBisson en.json now contains unbalanced "}" (6 times):

[[User:$1|$1]] {{GENDER:$1|mentioned}} {{GENDER:$6|you}}} on the $5 talk page in "[[:$3#$2|$4]]".
                                                        ^

yikes! Really sorry about that. Should be fixed in https://gerrit.wikimedia.org/r/#/c/257067/

The following messages may need the same modification:
Notification-mention-flyout
Notification-mention-nosection-flyout

Catrope added a subscriber: Catrope.Dec 7 2015, 8:03 PM

The following messages may need the same modification:
Notification-mention-flyout
Notification-mention-nosection-flyout

Those messages don't exist in master any more.

Etonkovidova added a subscriber: Etonkovidova.EditedDec 9 2015, 2:29 AM

Checked in betalabs.

Three questions:

  1. Seems that notification-mention-email-subject has a correct gender support, but the email body still is missing it.

The screenshot in Russian (Russian language is very gender-supportive :) ) In the email's subject line "ET12 поблагодарила..." [thanked in feminine form] but in the email body it says: "ET12 поблагодарил..." [thanked in masculine form]. We have the same discrepancy for "commented" etc

  1. "thanked you for your comment..." messages in Alerts and on Notifications page are not translated to Russian. I checked Spanish, German, French, Hebrew, Ukrainian, Chinese - all seem to be fine, except Russian.

  1. In French, when gender-neutral form is selected, the messages are displayed e.g.

"ET11 vous a remercié(e) pour votre commentaire de ..." - is it ok?

  1. All 'mention' messages seem to support gender. It is possible that the message in Russian doesn't use it.
  2. Looks like a missing translation in Russian but the post name "En raison d'une erreur technique [...]" is an error message in French. Is it really the text of the post you thanked or is there something weird going on?
  3. Gender support is there but apparently not being used in this case.
  1. All 'mention' messages seem to support gender. It is possible that the message in Russian doesn't use it.

This appears to be a flow-thanks message. The Russian messages' use of gender looks correct to me:

"notification-flow-thanks-email-subject": "$1 поблагодарил{{GENDER:$1||а}} {{GENDER:$2|вас}} за комментарий на сайте «{{SITENAME}}».",
"notification-flow-thanks-email-batch-body": "$1 поблагодарил{{GENDER:$1||а}} {{GENDER:$4|вас}} за комментарий в теме на сайте «$2» на странице $3.",

In any case, these email-specific messages will be removed when the email formatter is done (which there was no task for apparently; I've created T121067: Write email formatter that uses presentation models).

  1. Looks like a missing translation in Russian but the post name "En raison d'une erreur technique [...]" is an error message in French. Is it really the text of the post you thanked or is there something weird going on?

The translation in Russian is missing yes. We invalidated all the translations, and it looks like this message wasn't re-translated. If you like, you can help translate on translatewiki.net.

As for the error message, that was T120934: "Thanks" alert in Echo: "Due to a technical error, this post could not be retrieved" instead of Flow discussion subject. It was probably in French because this was on the French beta wiki?

  1. Gender support is there but apparently not being used in this case.

Yeah, the French messages appear not to have been updated to use gender support yet.

Catrope closed this task as Resolved.Dec 10 2015, 4:15 AM
matej_suchanek removed a subscriber: matej_suchanek.
matej_suchanek removed a subscriber: gerritbot.